Bug 84183 - [Infobar] Wrong appearance of clicked close button
Summary: [Infobar] Wrong appearance of clicked close button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Infobar-UX
  Show dependency treegraph
 
Reported: 2014-09-22 13:15 UTC by Adolfo Jayme
Modified: 2019-11-21 15:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Animated screenshot showing normal and pressed states (483.82 KB, image/gif)
2014-09-22 13:15 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2014-09-22 13:15:28 UTC
Created attachment 106677 [details]
Animated screenshot showing normal and pressed states

The X button in the end of infobars doesn’t display its pressed state correctly when it’s clicked. Please refer to the attached screenshot.

Ideally, the X graphic should just appear darkened, without any added border.
Comment 1 Buovjaga 2014-11-09 19:16:29 UTC
Reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: 9229170920ab770624415c4330da57af5b1b5398
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-09_03:16:43
Comment 2 Robinson Tryon (qubit) 2015-12-13 11:24:14 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:48:04 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2017-05-11 15:46:14 UTC
On linux i cant even see the clicked state. Couldnt test in master as its broken there (bug 107775).

Version: 5.3.3.0.0+
Build ID: c15eba1b1de9c41acd76f0b2a16cfbe38bf4fccb
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-3, Time: 2017-04-05_00:42:02
Locale: en-US (en_US.UTF-8); Calc: group
Comment 5 QA Administrators 2018-05-12 02:28:32 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2019-11-19 07:53:16 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/60c0874227201310c099fb717c0a665dbcf5bb33

tdf#84183 Give infobar close btn some 'clicked' state

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-11-21 15:28:18 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/99e0e14d2441c44b554608da416f3cd3b2207521

tdf#84183 Give infobar close btn some 'clicked' state

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.